[Mapbender-users] sassc compiler fails on Linux 32-bit

Axel Schaefer axel.schaefer at wheregroup.com
Wed Dec 16 05:33:01 PST 2015


Dear Mapbender3 Users and Developers.

If you use Mapbender3 on a Linux 32-bit server you might come up against 
problem with the sass compiler leading to the problem that Mapbender3 
doesn't show the styles. The URL 
http://yourhost/mapbender3/application/manager/assets/css returns an 500 
error in that case.

The problem lies in the incompatibility of the sass compiler with Linux 
32-bit systems. The appropriate respository is updated[1] and we have to 
put changes in Mapbender3 for Version 3.0.5.3.

As a workaround: If you use Linux 32-bit, download the sassc.x86 from 
the repository and put it into 
mapbender-starter/application/vendor/eslider/sasscb/dist. Rename it to 
sassc (make a backup of the existing one and override it).

Best regards
Axel

[1] https://github.com/eSlider/sassc-binaries/tree/develop/dist

-- 
WhereGroup GmbH & Co. KG
Eifelstra├če 7
53119 Bonn
Germany

Axel Schaefer
Projektleitung

Fon: +49 (0)228 / 90 90 38 - 31
Fax: +49 (0)228 / 90 90 38 - 11

axel.schaefer at wheregroup.com
www.meldemax.com
www.wheregroup.com
Amtsgericht Bonn, HRA 6788
-------------------------------
Komplement├Ąrin:
WhereGroup Verwaltungs GmbH
vertreten durch:
Olaf Knopp, Peter Stamm
-------------------------------


More information about the Mapbender_users mailing list